diff --git a/doc/html/flac.css b/doc/html/flac.css
index 4e3e498..a4e5792 100644
--- a/doc/html/flac.css
+++ b/doc/html/flac.css
@@ -104,8 +104,8 @@ div.box_body
 
 #newsbox h3
 {
-	margin: 5px 0 0 0; 
-	font-size: 0.9em; 
+	margin: 5px 0 0 0;
+	font-size: 0.9em;
 }
 
 #newsbox p
diff --git a/examples/README b/examples/README
index 0c51ff9..2da7bd6 100644
--- a/examples/README
+++ b/examples/README
@@ -3,7 +3,7 @@ ways.
 
 The "c" directory has programs that are all in C and use libFLAC.
 
-The "cpp" directory has analogous programs that are all in C++ and use libFLAC++. 
+The "cpp" directory has analogous programs that are all in C++ and use libFLAC++.
 
 The programs are:
 c/decode/file/ - example_c_decode_file - Simple FLAC file decoder using libFLAC
diff --git a/include/FLAC/metadata.h b/include/FLAC/metadata.h
index 9a7c3f9..b8ad8b4 100644
--- a/include/FLAC/metadata.h
+++ b/include/FLAC/metadata.h
@@ -764,7 +764,7 @@ typedef enum {
 	FLAC__METADATA_CHAIN_STATUS_READ_WRITE_MISMATCH,
 	/**< FLAC__metadata_chain_write() was called on a chain read by
 	 *   FLAC__metadata_chain_read_with_callbacks()/FLAC__metadata_chain_read_ogg_with_callbacks(),
-	 *   or 
+	 *   or
 	 *   FLAC__metadata_chain_write_with_callbacks()/FLAC__metadata_chain_write_with_callbacks_and_tempfile()
 	 *   was called on a chain read by
 	 *   FLAC__metadata_chain_read()/FLAC__metadata_chain_read_ogg().
diff --git a/src/flac/decode.c b/src/flac/decode.c
index dfdc346..b38f77c 100644
--- a/src/flac/decode.c
+++ b/src/flac/decode.c
@@ -273,7 +273,7 @@ void DecoderSession_destroy(DecoderSession *d, FLAC__bool error_occurred)
 						LARGE_INTEGER size;
 						size.QuadPart = written_size;
 						if(SetFilePointerEx(fh, size, NULL, FILE_CURRENT)) /* correct the file size */
-							SetEndOfFile(fh); 
+							SetEndOfFile(fh);
 					}
 					CloseHandle(fh);
 				}
@@ -400,7 +400,7 @@ FLAC__bool DecoderSession_process(DecoderSession *d)
 				}
 
 				if(SetFilePointerEx(fh, size, NULL, FILE_CURRENT)) /* tell filesystem the expected filesize to eliminate fragmentation */
-					SetEndOfFile(fh); 
+					SetEndOfFile(fh);
 			}
 			CloseHandle(fh);
 		}
diff --git a/src/libFLAC/fixed_intrin_sse2.c b/src/libFLAC/fixed_intrin_sse2.c
index 6785f92..29de9aa 100644
--- a/src/libFLAC/fixed_intrin_sse2.c
+++ b/src/libFLAC/fixed_intrin_sse2.c
@@ -108,7 +108,7 @@ unsigned FLAC__fixed_compute_best_predictor_intrin_sse2(const FLAC__int32 data[]
 			total_err1 = _mm_add_epi32(total_err1, err1);					// te1 te2 te3 te4
 		}
 	}
-	
+
 	total_error_0 = _mm_cvtsi128_si32(total_err0);
 	total_err2 = total_err1;											// te1  te2  te3  te4
 	total_err1 = _mm_srli_si128(total_err1, 8);							//  0    0   te1  te2
@@ -160,7 +160,7 @@ unsigned FLAC__fixed_compute_best_predictor_wide_intrin_sse2(const FLAC__int32 d
 	{
 		FLAC__int32 itmp;
 		__m128i last_error, zero = _mm_setzero_si128();
-		
+
 		last_error = _mm_cvtsi32_si128(data[-1]);							// 0   0   0   le0
 		itmp = data[-2];
 		last_error = _mm_shuffle_epi32(last_error, _MM_SHUFFLE(2,1,0,0));
@@ -208,7 +208,7 @@ unsigned FLAC__fixed_compute_best_predictor_wide_intrin_sse2(const FLAC__int32 d
 			total_err1 = _mm_add_epi64(total_err1, err1);					//       te1      te2
 		}
 	}
-	
+
 	m128i_to_i64(total_error_0, total_err0);
 	m128i_to_i64(total_error_4, total_err3);
 	m128i_to_i64(total_error_2, total_err1);
diff --git a/src/libFLAC/fixed_intrin_ssse3.c b/src/libFLAC/fixed_intrin_ssse3.c
index 50c663d..eceb0d3 100644
--- a/src/libFLAC/fixed_intrin_ssse3.c
+++ b/src/libFLAC/fixed_intrin_ssse3.c
@@ -102,7 +102,7 @@ unsigned FLAC__fixed_compute_best_predictor_intrin_ssse3(const FLAC__int32 data[
 			total_err1 = _mm_add_epi32(total_err1, err1);					// te1 te2 te3 te4
 		}
 	}
-	
+
 	total_error_0 = _mm_cvtsi128_si32(total_err0);
 	total_err2 = total_err1;											// te1  te2  te3  te4
 	total_err1 = _mm_srli_si128(total_err1, 8);							//  0    0   te1  te2
@@ -154,7 +154,7 @@ unsigned FLAC__fixed_compute_best_predictor_wide_intrin_ssse3(const FLAC__int32
 	{
 		FLAC__int32 itmp;
 		__m128i last_error, zero = _mm_setzero_si128();
-		
+
 		last_error = _mm_cvtsi32_si128(data[-1]);							// 0   0   0   le0
 		itmp = data[-2];
 		last_error = _mm_shuffle_epi32(last_error, _MM_SHUFFLE(2,1,0,0));
@@ -185,7 +185,7 @@ unsigned FLAC__fixed_compute_best_predictor_wide_intrin_ssse3(const FLAC__int32
 			err1 = _mm_sub_epi32(err1, last_error);							// e1  e2  e3  e4
 #endif
 			last_error = _mm_alignr_epi8(err0, err1, 4);					// e0  e1  e2  e3
-			
+
 			err0 = _mm_abs_epi32(err0);
 			err1 = _mm_abs_epi32(err1);										// |e1| |e2| |e3| |e4|
 
@@ -196,7 +196,7 @@ unsigned FLAC__fixed_compute_best_predictor_wide_intrin_ssse3(const FLAC__int32
 			total_err1 = _mm_add_epi64(total_err1, err1);					//       te1      te2
 		}
 	}
-	
+
 	m128i_to_i64(total_error_0, total_err0);
 	m128i_to_i64(total_error_4, total_err3);
 	m128i_to_i64(total_error_2, total_err1);
diff --git a/src/libFLAC/ia32/fixed_asm.nasm b/src/libFLAC/ia32/fixed_asm.nasm
index 402c02a..7d9d834 100644
--- a/src/libFLAC/ia32/fixed_asm.nasm
+++ b/src/libFLAC/ia32/fixed_asm.nasm
@@ -134,7 +134,7 @@ cident FLAC__fixed_compute_best_predictor_asm_ia32_mmx_cmov
 	movq	mm5, mm6			; mm5 = error_1:error_0
 	movq	mm7, mm6			; mm7 = error_1:error_0
 	psubd	mm5, mm3			; mm5 = error_2:
-	movq	mm3, mm6			; mm3 = error_1:error_0	
+	movq	mm3, mm6			; mm3 = error_1:error_0
 	psrad	mm6, 31
 	pxor	mm7, mm6
 	psubd	mm7, mm6			; mm7 = abs(error_1):abs(error_0)
@@ -155,7 +155,7 @@ cident FLAC__fixed_compute_best_predictor_asm_ia32_mmx_cmov
 	pxor	mm6, mm5
 	psubd	mm6, mm5			; mm6 = :abs(error_4)
 	paddd	mm2, mm6			; mm2 = :total_error_4
-	
+
 	dec	ecx
 	jnz	short .loop
 
diff --git a/src/plugin_common/dither.c b/src/plugin_common/dither.c
index 4e6bc4c..f83a75a 100644
--- a/src/plugin_common/dither.c
+++ b/src/plugin_common/dither.c
@@ -128,7 +128,7 @@ size_t FLAC__plugin_common__pack_pcm_signed_big_endian(FLAC__byte *data, const F
 		const FLAC__int32 MAX = ~MIN; /*(1L << (source_bps-1)) - 1 */
 
 		for(channel = 0; channel < channels; channel++) {
-			
+
 			samples = wide_samples;
 			data = start + bytes_per_sample * channel;
 			input_ = input[channel];
@@ -209,7 +209,7 @@ size_t FLAC__plugin_common__pack_pcm_signed_little_endian(FLAC__byte *data, cons
 		const FLAC__int32 MAX = ~MIN; /*(1L << (source_bps-1)) - 1 */
 
 		for(channel = 0; channel < channels; channel++) {
-			
+
 			samples = wide_samples;
 			data = start + bytes_per_sample * channel;
 			input_ = input[channel];
diff --git a/src/plugin_common/tags.h b/src/plugin_common/tags.h
index b5a10ae..908ec73 100644
--- a/src/plugin_common/tags.h
+++ b/src/plugin_common/tags.h
@@ -68,7 +68,7 @@ FLAC__bool FLAC_plugin__tags_add_tag_utf8(FLAC__StreamMetadata *tags, const char
  * already contains a tag or tags for 'name', then they will be replaced
  * according to 'replace_all': if 'replace_all' is false, only the first such
  * tag will be replaced; if true, all matching tags will be replaced by the one
- * new tag. 
+ * new tag.
  */
 FLAC__bool FLAC_plugin__tags_set_tag_ucs2(FLAC__StreamMetadata *tags, const char *name, const FLAC__uint16 *value, FLAC__bool replace_all);
 
diff --git a/src/plugin_xmms/configure.h b/src/plugin_xmms/configure.h
index 95319ef..6cde139 100644
--- a/src/plugin_xmms/configure.h
+++ b/src/plugin_xmms/configure.h
@@ -34,7 +34,7 @@ typedef struct {
 	struct {
 		gint http_buffer_size;
 		gint http_prebuffer;
-		gboolean use_proxy; 
+		gboolean use_proxy;
 		gchar *proxy_host;
 		gint proxy_port;
 		gboolean proxy_use_auth;
diff --git a/src/share/utf8/charset.h b/src/share/utf8/charset.h
index 2acbadc..ea8e31e 100644
--- a/src/share/utf8/charset.h
+++ b/src/share/utf8/charset.h
@@ -1,16 +1,16 @@
 /*
  * Copyright (C) 2001 Edmund Grimley Evans <edmundo@rano.org>
- * 
+ *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
- * 
+ *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along
  * with this program; if not, write to the Free Software Foundation, Inc.,
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/src/share/utf8/charset_test.c b/src/share/utf8/charset_test.c
index 461677e..225a673 100644
--- a/src/share/utf8/charset_test.c
+++ b/src/share/utf8/charset_test.c
@@ -1,16 +1,16 @@
 /*
  * Copyright (C) 2001 Edmund Grimley Evans <edmundo@rano.org>
- * 
+ *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
- * 
+ *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along
  * with this program; if not, write to the Free Software Foundation, Inc.,
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/src/share/utf8/iconvert.h b/src/share/utf8/iconvert.h
index c0bcd80..a2d75a2 100644
--- a/src/share/utf8/iconvert.h
+++ b/src/share/utf8/iconvert.h
@@ -1,16 +1,16 @@
 /*
  * Copyright (C) 2001 Edmund Grimley Evans <edmundo@rano.org>
- * 
+ *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
- * 
+ *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along
  * with this program; if not, write to the Free Software Foundation, Inc.,
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/src/share/utf8/makemap.c b/src/share/utf8/makemap.c
index e3dab3e..59af608 100644
--- a/src/share/utf8/makemap.c
+++ b/src/share/utf8/makemap.c
@@ -1,16 +1,16 @@
 /*
  * Copyright (C) 2001 Edmund Grimley Evans <edmundo@rano.org>
- * 
+ *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
- * 
+ *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along
  * with this program; if not, write to the Free Software Foundation, Inc.,
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
